Subject: Re: [PATCH v2 1/3] ls-refs: report unborn targets of symrefs

From: Junio C Hamano <[email-masked]>
Date: Wed, 16 Dec 2020 17:32:50 -0800

Jonathan Tan <[email-masked]> writes:

> Firstly, this allows a staged rollout in load-balancing situations
> wherein we turn on "allow" for all servers, then "advertise", so that we
> don't end up with a client that sees the advertisement but then sends
> the follow-up request to a server that has not received the latest
> configuration yet.

If this were the _first_ capability we are adding to the system, the
above makes quite a lot of sense, but I do not recall any existing
capability that can be configured this way.  How would one deploy a
set of servers that gradually start allowing fetching unadvertised
but reachable commits, for example?  I am not saying that the "I'll
accept if asked, but I won't actively advertise" is a bad feature; I
just find it disturbing that only this knob has that feature.